List Supported Assets and Networks
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/config/assets \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/config/assets"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/config/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"data": [
{
"asset": "USDT",
"asset_name": "Tether USD",
"asset_type": "CRYPTO",
"networks": [
{
"network": "ETH",
"network_name": "Ethereum (ERC20)",
"deposit_enabled": true,
"withdraw_enabled": true,
"min_deposit_amount": "10.00",
"min_withdraw_amount": "20.00",
"withdraw_precision": 2,
"estimated_arrival_time": 15
}
]
}
]
}Configuration
List Supported Assets and Networks
Query list of supported currencies and networks in the system. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
config
/
assets
List Supported Assets and Networks
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Filter by asset type: CRYPTO or FIAT

